aboutsummaryrefslogtreecommitdiff
path: root/src/speech-dispatcher/speechd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/speech-dispatcher/speechd.sh')
-rwxr-xr-xsrc/speech-dispatcher/speechd.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/speech-dispatcher/speechd.sh b/src/speech-dispatcher/speechd.sh
new file mode 100755
index 0000000..eb44198
--- /dev/null
+++ b/src/speech-dispatcher/speechd.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID /usr/bin/speech-dispatcher)
+case "$1" in
+ start)
+ stat_busy "Starting speech dispatcher Daemon"
+ [ -z "$PID" ] && /usr/bin/speech-dispatcher -d &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon speechd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping speech dispatcher Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon speechd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+
+exit 0